Subject: DNSSEC Validator API

From: Suresh Krishnaswamy <[email-masked]>
Date: Wed, 8 Mar 2006 08:51:11 -0500

An initial version of the DNSSEC validator API draft is available  
from the Internet-Drafts repository. This API is based on our  
implementation of the validator library and our experiences with  
building DNSSEC-aware applications that make use of its functions.

Comments are most welcome!

Suresh

>
> A New Internet-Draft is available from the on-line Internet-Drafts  
> directories.
>
>
> 	Title		: DNSSEC Validator API
> 	Author(s)	: A. Hayatnagarkar, S. Krishnaswamy
> 	Filename	: draft-hayatnagarkar-dnsext-validator-api-00.txt
> 	Pages		: 20
> 	Date		: 2006-3-2
> 	
>    The DNS Security Extensions (DNSSEC) provide origin authentication
>    and integrity of DNS data.  However, the current resolver API does
>    not allow a security-aware resolver to communicate detailed results
>    of DNSSEC processing back to the application.  This document
>    describes an Application Programming Interface between applications
>    and a validating security-aware stub resolver that allows
>    applications to control the validation process and obtain  
> results of
>    DNSSEC processing.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-hayatnagarkar-dnsext- 
> validator-api-00.txt
>

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>